

Turbine.Chat.Received = function(sender,args)

  ------------ points
	if (args.ChatType == Turbine.ChatType.Advancement and
	string.find(args.Message,L.Chat_Earned) and
	string.find(args.Message,L.Chat_Points)) then

    local current_date = Turbine.Engine.GetDate()
		local s, e = string.find(args.Message,L.Chat_Earned) 
		local first = e + 1
		local s, e = string.find(args.Message,L.Chat_Points)
		local last = s - 1
		local now = GetSecondsOfYear()
		local points_gained = tonumber(string.sub(args.Message,first,last))

		if new_fight1 then
			new_fight1 = false
			points_last_fight = 0
		end

		if (local_player:IsInCombat() or local_player:GetMorale() == nil) then
			points_last_fight = points_last_fight + points_gained
		end

		data.numbers.points_current_day = data.numbers.points_current_day + points_gained
		data.numbers.points_total = data.numbers.points_total + points_gained
		data.numbers.recent_points[now] = (data.numbers.recent_points[now] or 0) + points_gained

		overviewWindow:Update()

    if data.numbers.points_current_day >= data.numbers.most_points_a_day[1] then
      data.numbers.most_points_a_day = { data.numbers.points_current_day, current_date.Day, current_date.Month, current_date.Year }
    end

		Plugins["PvMP+"].Unload()
    
  ------------ commendations
  elseif args.ChatType == Turbine.ChatType.Standard and
	string.find(args.Message,L.Chat_Earned_Comms) and
	string.find(args.Message,L.Chat_Commendations) then
  
    local current_date = Turbine.Engine.GetDate()
		local s, e = string.find(args.Message,L.Chat_Earned_Comms) 
		local first = e + 1
		local s, e = string.find(args.Message,L.Chat_Commendations)
		local last = s - 1
		local now = GetSecondsOfYear()
		local comms_gained = tonumber(string.sub(args.Message,first,last))

		if new_fight2 then
			new_fight2 = false
			comms_last_fight = 0
		end

		if (local_player:IsInCombat() or local_player:GetMorale() == nil) then
			comms_last_fight = comms_last_fight + comms_gained
		end

		data.numbers.comms_current_day = data.numbers.comms_current_day + comms_gained
		data.numbers.recent_comms[now] = (data.numbers.recent_comms[now] or 0) + comms_gained

		overviewWindow:Update()

    Plugins["PvMP+"].Unload()

  ------------ tracks
  elseif args.ChatType == Turbine.ChatType.Standard and
  string.find(args.Message,L.Track) then
  
    if not storage.track_warning_disabled then trackCounter = 2 end
    local now = GetSecondsOfYear()

    data.numbers.tracks_current_day = data.numbers.tracks_current_day + 1
    data.numbers.recent_tracks[now] = (data.numbers.recent_tracks[now] or 0) + 1
    data.numbers.tracks_total = data.numbers.tracks_total + 1
    Plugins["PvMP+"].Unload()

  ------------ killing blows
	elseif args.ChatType == Turbine.ChatType.Death and
  string.find(args.Message,L.FragStart) and
  string.find(args.Message,L.FragEnd) then

    local current_date = Turbine.Engine.GetDate()
  	local s, e = string.find(args.Message,L.FragStart) 
		local first = e + 1
    if locale == "ru" then
      first = e
    end
		local s, e = string.find(args.Message,L.FragEnd)
		local last = s - 1
    local victim = string.sub(args.Message,first,last)
    local now = GetSecondsOfYear()

    data.numbers.frags_current_day = data.numbers.frags_current_day + 1
    data.numbers.recent_frags[now] = (data.numbers.recent_frags[now] or 0) + 1
    data.numbers.frags[victim] = (data.numbers.frags[victim] or 0) + 1

    if data.numbers.frags_current_day >= data.numbers.most_frags_a_day[1] then
      data.numbers.most_frags_a_day = { data.numbers.frags_current_day, current_date.Day, current_date.Month, current_date.Year }
    end

    Plugins["PvMP+"].Unload()

	end
  
end

FormatPoints = function(points)
	local temp = tostring(points)
	local temp_length = string.len(temp)
	
	if temp_length == 4 then
		temp = string.sub(temp,1,1) .. "." .. string.sub(temp,2)
	elseif temp_length == 5 then
		temp = string.sub(temp,1,2) .. "." .. string.sub(temp,3)
	elseif temp_length == 6 then
		temp = string.sub(temp,1,3) .. "." .. string.sub(temp,4)
	elseif temp_length == 7 then
		temp = string.sub(temp,1,1) .. "." .. string.sub(temp,2,4) .. "." .. string.sub(temp,5)
	end
	
	return temp
end