function GetPointsLast10min()
	return GetRecentData(600, data.numbers.recent_points)
end

function GetPointsLastHour()
	return GetRecentData(3600, data.numbers.recent_points)
end

function GetPointsLast24h()
	return GetRecentData(86400, data.numbers.recent_points)
end

function GetCommsLast10min()
	return GetRecentData(600, data.numbers.recent_comms)
end

function GetCommsLastHour()
	return GetRecentData(3600, data.numbers.recent_comms)
end

function GetCommsLast24h()
	return GetRecentData(86400, data.numbers.recent_comms)
end

function GetFragsLast10min()
	return GetRecentData(600, data.numbers.recent_frags)
end

function GetFragsLastHour()
	return GetRecentData(3600, data.numbers.recent_frags)
end

function GetFragsLast24h()
	return GetRecentData(86400, data.numbers.recent_frags)
end

function GetTracksLast10min()
	return GetRecentData(600, data.numbers.recent_tracks)
end

function GetTracksLastHour()
	return GetRecentData(3600, data.numbers.recent_tracks)
end

function GetTracksLast24h()
	return GetRecentData(86400, data.numbers.recent_tracks)
end

function GetRecentData(seconds, input)

	local count = 0
	local now = GetSecondsOfYear()
	
	for i,j in pairs(input) do
		if (now - i <= seconds and now - i >= 0) then	count = count + j end
	end
	
	return count
end

function GetSecondsOfYear()

 local timestamp = Turbine.Engine.GetDate()
 return (timestamp.DayOfYear - 1) * 86400 + timestamp.Hour * 3600 + timestamp.Minute * 60 + timestamp.Second
end